Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Macros | Functions | Variables
nc_priv.h File Reference
`#include "hdf_priv.h"`
`#include "h4_xdr_priv.h"`
`#include "hdf4_netcdf.h"`
`#include "vg.h"`
`#include "hfile_priv.h"`
`#include "mfhdf.h"`

## Data Structures
struct | vix_t
struct | NC_array
struct | NC_string
struct | NC_iarray
struct | NC_dim
struct | NC_attr
struct | NC
struct | NC_var

## Macros
#define | FILENAME_MAX 255
#define | NC_BYTE_SIZE 1
#define | NC_CHAR_SIZE 1
#define | NC_SHORT_SIZE 2
#define | NC_LONG_SIZE 4
#define | NC_FLOAT_SIZE 4
#define | NC_DOUBLE_SIZE 8
#define | NC_UNSPECIFIED_SIZE 0
#define | Void char
#define | ATTR_TAG DFTAG_VH
#define | DIM_TAG DFTAG_VG
#define | VAR_TAG DFTAG_VG
#define | DATA_TAG DFTAG_SD
#define | BOGUS_TAG ((uint16)721)
#define | DIMVAL_VERSION00 0 /* <dimsize> fake values */
#define | DIMVAL_VERSION01 1 /* 1 elt with value of <dimsize> */
#define | BLOCK_MULT 64 /* multiplier for bytes in linked blocks */
#define | MAX_BLOCK_SIZE 65536 /* maximum size of block in linked blocks */
#define | BLOCK_COUNT 128 /* size of linked block pointer objects */
#define | NC_compare_string(s1, s2) ((s1)->hash != (s2)->hash ? 1 : strcmp((s1)->values, (s2)->values))
#define | IS_RECVAR(vp) ((vp)->shape != NULL ? (*(vp)->shape == NC_UNLIMITED) : 0)
#define | netCDF_FILE 0
#define | HDF_FILE 1
#define | CDF_FILE 2
#define | MAGICOFFSET 0 /* Offset where format version number is written */
#define | CDFMAGIC 0x0000FFFF
#define | HDFXMAGIC 0x0e031301 /* ^N^C^S^A */
#define | NCMAGIC 0x43444601 /* C D F 1 */
#define | NCMAGIC64 0x43444602 /* C D F 2 */
#define | NCLINKMAGIC 0x43444c01 /* C D L 1 */
#define | nc_serror HNAME(nc_serror)
#define | NCadvise HNAME(NCadvise)
#define | NC_computeshapes HNAME(NC_computeshapes)
#define | NC_xtypelen HNAME(NC_xtypelen)
#define | NC_xlen_array HNAME(NC_xlen_array)
#define | NC_xlen_attr HNAME(NC_xlen_attr)
#define | NC_xlen_cdf HNAME(NC_xlen_cdf)
#define | NC_xlen_dim HNAME(NC_xlen_dim)
#define | NC_xlen_iarray HNAME(NC_xlen_iarray)
#define | NC_xlen_string HNAME(NC_xlen_string)
#define | NC_xlen_var HNAME(NC_xlen_var)
#define | NCmemset HNAME(NCmemset)
#define | NC_arrayfill HNAME(NC_arrayfill)
#define | NC_copy_arrayvals HNAME(NC_copy_arrayvals)
#define | NC_free_array HNAME(NC_free_array)
#define | NC_free_attr HNAME(NC_free_attr)
#define | NC_free_cdf HNAME(NC_free_cdf)
#define | NC_free_dim HNAME(NC_free_dim)
#define | NC_free_iarray HNAME(NC_free_iarray)
#define | NC_free_string HNAME(NC_free_string)
#define | NC_free_var HNAME(NC_free_var)
#define | NC_incr_array HNAME(NC_incr_array)
#define | NC_dimid HNAME(NC_dimid)
#define | NCcktype HNAME(NCcktype)
#define | NC_indefine HNAME(NC_indefine)
#define | xdr_cdf HNAME(xdr_cdf)
#define | xdr_numrecs HNAME(xdr_numrecs)
#define | xdr_shorts HNAME(xdr_shorts)
#define | xdr_NC_array HNAME(xdr_NC_array)
#define | xdr_NC_attr HNAME(xdr_NC_attr)
#define | xdr_NC_dim HNAME(xdr_NC_dim)
#define | xdr_NC_fill HNAME(xdr_NC_fill)
#define | xdr_NC_iarray HNAME(xdr_NC_iarray)
#define | xdr_NC_string HNAME(xdr_NC_string)
#define | xdr_NC_var HNAME(xdr_NC_var)
#define | NC_typelen HNAME(NC_typelen)
#define | NC_check_id HNAME(NC_check_id)
#define | NC_dup_cdf HNAME(NC_dup_cdf)
#define | NC_new_cdf HNAME(NC_new_cdf)
#define | NC_new_array HNAME(NC_new_array)
#define | NC_re_array HNAME(NC_re_array)
#define | NC_new_attr HNAME(NC_new_attr)
#define | NC_findattr HNAME(NC_findattr)
#define | NC_new_dim HNAME(NC_new_dim)
#define | NC_new_iarray HNAME(NC_new_iarray)
#define | NC_new_string HNAME(NC_new_string)
#define | NC_re_string HNAME(NC_re_string)
#define | NC_hlookupvar HNAME(NC_hlookupvar)
#define | NC_new_var HNAME(NC_new_var)
#define | NCvario HNAME(NCvario)
#define | NCcoordck HNAME(NCcoordck)
#define | xdr_NCvshort HNAME(xdr_NCvshort)
#define | NC_dcpy HNAME(NC_dcpy)
#define | NCxdrfile_sync HNAME(NCxdrfile_sync)
#define | NCxdrfile_create HNAME(NCxdrfile_create)
#define | NCgenio HNAME(NCgenio) /* from putgetg.c */
#define | NC_var_shape HNAME(NC_var_shape) /* from var.c */
#define | nncpopt H4_F77_FUNC(ncpopt, NCPOPT)
#define | nncgopt H4_F77_FUNC(ncgopt, NCGOPT)
#define | nnccre H4_F77_FUNC(nccre, NCCRE)
#define | nncopn H4_F77_FUNC(ncopn, NCOPN)
#define | nncddef H4_F77_FUNC(ncddef, NCDDEF)
#define | nncdid H4_F77_FUNC(ncdid, NCDID)
#define | nncvdef H4_F77_FUNC(ncvdef, NCVDEF)
#define | nncvid H4_F77_FUNC(ncvid, NCVID)
#define | nnctlen H4_F77_FUNC(nctlen, NCTLEN)
#define | nncclos H4_F77_FUNC(ncclos, NCCLOS)
#define | nncredf H4_F77_FUNC(ncredf, NCREDF)
#define | nncendf H4_F77_FUNC(ncendf, NCENDF)
#define | nncinq H4_F77_FUNC(ncinq, NCINQ)
#define | nncsnc H4_F77_FUNC(ncsnc, NCSNC)
#define | nncabor H4_F77_FUNC(ncabor, NCABOR)
#define | nncdinq H4_F77_FUNC(ncdinq, NCDINQ)
#define | nncdren H4_F77_FUNC(ncdren, NCDREN)
#define | nncvinq H4_F77_FUNC(ncvinq, NCVINQ)
#define | nncvpt1 H4_F77_FUNC(ncvpt1, NCVPT1)
#define | nncvp1c H4_F77_FUNC(ncvp1c, NCVP1C)
#define | nncvpt H4_F77_FUNC(ncvpt, NCVPT)
#define | nncvptc H4_F77_FUNC(ncvptc, NCVPTC)
#define | nncvptg H4_F77_FUNC(ncvptg, NCVPTG)
#define | nncvpgc H4_F77_FUNC(ncvpgc, NCVPGC)
#define | nncvgt1 H4_F77_FUNC(ncvgt1, NCVGT1)
#define | nncvg1c H4_F77_FUNC(ncvg1c, NCVG1C)
#define | nncvgt H4_F77_FUNC(ncvgt, NCVGT)
#define | nncvgtc H4_F77_FUNC(ncvgtc, NCVGTC)
#define | nncvgtg H4_F77_FUNC(ncvgtg, NCVGTG)
#define | nncvggc H4_F77_FUNC(ncvggc, NCVGGC)
#define | nncvren H4_F77_FUNC(ncvren, NCVREN)
#define | nncapt H4_F77_FUNC(ncapt, NCAPT)
#define | nncaptc H4_F77_FUNC(ncaptc, NCAPTC)
#define | nncainq H4_F77_FUNC(ncainq, NCAINQ)
#define | nncagt H4_F77_FUNC(ncagt, NCAGT)
#define | nncagtc H4_F77_FUNC(ncagtc, NCAGTC)
#define | nncacpy H4_F77_FUNC(ncacpy, NCACPY)
#define | nncanam H4_F77_FUNC(ncanam, NCANAM)
#define | nncaren H4_F77_FUNC(ncaren, NCAREN)
#define | nncadel H4_F77_FUNC(ncadel, NCADEL)
#define | nncsfil H4_F77_FUNC(ncsfil, NCSFIL)

## Functions
HDFLIBAPI void HNAME | nc_serror (const char *fmt,...)
HDFLIBAPI void HNAME | NCadvise (int err, const char *fmt,...)
HDFLIBAPI int HNAME | NC_computeshapes (NC *handle)
HDFLIBAPI int HNAME | NC_xtypelen (nc_type type)
HDFLIBAPI int HNAME | NC_xlen_array (NC_array *array)
HDFLIBAPI int HNAME | NC_xlen_attr (NC_attr **app)
HDFLIBAPI int HNAME | NC_xlen_cdf (NC *cdf)
HDFLIBAPI int HNAME | NC_xlen_dim (NC_dim **dpp)
HDFLIBAPI int HNAME | NC_xlen_iarray (NC_iarray *iarray)
HDFLIBAPI int HNAME | NC_xlen_string (NC_string *cdfstr)
HDFLIBAPI int HNAME | NC_xlen_var (NC_var **vpp)
HDFLIBAPI char *HNAME | NCmemset (char *s, int c, int n)
HDFLIBAPI void HNAME | NC_arrayfill (void *lo, size_t len, nc_type type)
HDFLIBAPI void HNAME | NC_copy_arrayvals (char *target, NC_array *array)
HDFLIBAPI int HNAME | NC_free_array (NC_array *array)
HDFLIBAPI int HNAME | NC_free_attr (NC_attr *attr)
HDFLIBAPI int HNAME | NC_free_cdf (NC *handle)
HDFLIBAPI int HNAME | NC_free_dim (NC_dim *dim)
HDFLIBAPI int HNAME | NC_free_iarray (NC_iarray *iarray)
HDFLIBAPI int HNAME | NC_free_string (NC_string *cdfstr)
HDFLIBAPI int HNAME | NC_free_var (NC_var *var)
HDFLIBAPI char *HNAME | NC_incr_array (NC_array *array, char *tail)
HDFLIBAPI int HNAME | NC_dimid (NC *handle, char *name)
HDFLIBAPI bool_t HNAME | NCcktype (nc_type datatype)
HDFLIBAPI bool_t HNAME | NC_indefine (int cdfid, bool_t iserr)
HDFLIBAPI bool_t HNAME | xdr_cdf (XDR *xdrs, NC **handlep)
HDFLIBAPI bool_t HNAME | xdr_numrecs (XDR *xdrs, NC *handle)
HDFLIBAPI bool_t HNAME | xdr_shorts (XDR *xdrs, short *sp, unsigned cnt)
HDFLIBAPI bool_t HNAME | xdr_NC_array (XDR *xdrs, NC_array **app)
HDFLIBAPI bool_t HNAME | xdr_NC_attr (XDR *xdrs, NC_attr **app)
HDFLIBAPI bool_t HNAME | xdr_NC_dim (XDR *xdrs, NC_dim **dpp)
HDFLIBAPI bool_t HNAME | xdr_NC_fill (XDR *xdrs, NC_var *vp)
HDFLIBAPI bool_t HNAME | xdr_NC_iarray (XDR *xdrs, NC_iarray **ipp)
HDFLIBAPI bool_t HNAME | xdr_NC_string (XDR *xdrs, NC_string **spp)
HDFLIBAPI bool_t HNAME | xdr_NC_var (XDR *xdrs, NC_var **vpp)
HDFLIBAPI size_t HNAME | NC_typelen (nc_type type)
HDFLIBAPI NC *HNAME | NC_check_id (int cdfid)
HDFLIBAPI NC *HNAME | NC_dup_cdf (const char *name, int mode, NC *old)
HDFLIBAPI NC *HNAME | NC_new_cdf (const char *name, int mode)
HDFLIBAPI NC_array *HNAME | NC_new_array (nc_type type, unsigned count, const void *values)
HDFLIBAPI NC_array *HNAME | NC_re_array (NC_array *old, nc_type type, unsigned count, const void *values)
HDFLIBAPI NC_attr *HNAME | NC_new_attr (const char *name, nc_type type, unsigned count, const void *values)
HDFLIBAPI NC_attr **HNAME | NC_findattr (NC_array **ap, const char *name)
HDFLIBAPI NC_dim *HNAME | NC_new_dim (const char *name, long size)
HDFLIBAPI NC_iarray *HNAME | NC_new_iarray (unsigned count, const int values[])
HDFLIBAPI NC_string *HNAME | NC_new_string (unsigned count, const char *str)
HDFLIBAPI NC_string *HNAME | NC_re_string (NC_string *old, unsigned count, const char *str)
HDFLIBAPI NC_var *HNAME | NC_hlookupvar (NC *handle, int varid)
HDFLIBAPI NC_var *HNAME | NC_new_var (const char *name, nc_type type, int ndims, const int *dims)
HDFLIBAPI int HNAME | NCvario (NC *handle, int varid, const long *start, const long *edges, void *values)
HDFLIBAPI bool_t HNAME | NCcoordck (NC *handle, NC_var *vp, const long *coords)
HDFLIBAPI bool_t HNAME | xdr_NCvshort (XDR *xdrs, unsigned which, short *values)
HDFLIBAPI bool_t HNAME | NC_dcpy (XDR *target, XDR *source, long nbytes)
HDFLIBAPI int HNAME | NCxdrfile_sync (XDR *xdrs)
HDFLIBAPI int HNAME | NCxdrfile_create (XDR *xdrs, const char *path, int ncmode)
HDFLIBAPI intn | hdf_fill_array (char *storage, int32 len, char *value, int32 type)
HDFLIBAPI intn | hdf_get_data (NC *handle, NC_var *vp)
HDFLIBAPI int32 | hdf_get_vp_aid (NC *handle, NC_var *vp)
HDFLIBAPI int | hdf_map_type (nc_type)
HDFLIBAPI nc_type | hdf_unmap_type (int)
HDFLIBAPI intn | hdf_get_ref (NC *, int)
HDFLIBAPI intn | hdf_create_dim_vdata (XDR *, NC *, NC_dim *)
HDFLIBAPI intn | hdf_create_compat_dim_vdata (XDR *xdrs, NC *handle, NC_dim *dim, int32 dimval_ver)
HDFLIBAPI intn | hdf_write_attr (XDR *, NC *, NC_attr **)
HDFLIBAPI int32 | hdf_write_dim (XDR *, NC *, NC_dim **, int32)
HDFLIBAPI int32 | hdf_write_var (XDR *, NC *, NC_var **)
HDFLIBAPI intn | hdf_write_xdr_cdf (XDR *, NC **)
HDFLIBAPI intn | hdf_conv_scales (NC **)
HDFLIBAPI intn | hdf_read_dims (XDR *, NC *, int32)
HDFLIBAPI NC_array * | hdf_read_attrs (XDR *, NC *, int32)
HDFLIBAPI intn | hdf_read_vars (XDR *, NC *, int32)
HDFLIBAPI intn | hdf_read_xdr_cdf (XDR *, NC **)
HDFLIBAPI intn | hdf_xdr_cdf (XDR *, NC **)
HDFLIBAPI intn | hdf_vg_clobber (NC *, int)
HDFLIBAPI intn | hdf_cdf_clobber (NC *)
HDFLIBAPI intn | hdf_close (NC *)
HDFLIBAPI intn | hdf_read_sds_dims (NC *)
HDFLIBAPI intn | hdf_read_sds_cdf (XDR *, NC **)
HDFLIBAPI intn | SDPfreebuf (void)
HDFLIBAPI intn | HNAME (NCgenio)(NC *handle
HDFLIBAPI intn | HNAME (NC_var_shape)(NC_var *var
HDFLIBAPI intn | NC_reset_maxopenfiles (intn req_max)
HDFLIBAPI intn | NC_get_maxopenfiles (void)
HDFLIBAPI intn | NC_get_systemlimit (void)
HDFLIBAPI int | NC_get_numopencdfs (void)
HDFLIBAPI nc_type | cdf_unmap_type (int type)
HDFLIBAPI bool_t | nssdc_read_cdf (XDR *xdrs, NC **handlep)
HDFLIBAPI bool_t | nssdc_write_cdf (XDR *xdrs, NC **handlep)
HDFLIBAPI bool_t | nssdc_xdr_cdf (XDR *xdrs, NC **handlep)
HDFLIBAPI intn | HDiscdf (const char *filename)
HDFLIBAPI intn | HDisnetcdf (const char *filename)
HDFLIBAPI intn | HDisnetcdf64 (const char *filename)

## Variables
HDFLIBAPI const char * | cdf_routine_name
HDFLIBAPI intn int | varid
HDFLIBAPI intn int const long * | start
HDFLIBAPI intn int const long const long * | count
HDFLIBAPI intn int const long const long const long * | stride
HDFLIBAPI intn int const long const long const long const long * | imap
HDFLIBAPI intn int const long const long const long const long void * | values
HDFLIBAPI intn NC_array * | dims

## Macro Definition Documentation

## ◆ ATTR_TAG

#define ATTR_TAG DFTAG_VH

## ◆ BLOCK_COUNT

#define BLOCK_COUNT 128 /* size of linked block pointer objects */

## ◆ BLOCK_MULT

#define BLOCK_MULT 64 /* multiplier for bytes in linked blocks */

## ◆ BOGUS_TAG

#define BOGUS_TAG ((uint16)721)

## ◆ CDF_FILE

#define CDF_FILE 2

## ◆ CDFMAGIC

#define CDFMAGIC 0x0000FFFF

## ◆ DATA_TAG

#define DATA_TAG DFTAG_SD

## ◆ DIM_TAG

#define DIM_TAG DFTAG_VG

## ◆ DIMVAL_VERSION00

#define DIMVAL_VERSION00 0 /* <dimsize> fake values */

## ◆ DIMVAL_VERSION01

#define DIMVAL_VERSION01 1 /* 1 elt with value of <dimsize> */

## ◆ FILENAME_MAX

#define FILENAME_MAX 255

## ◆ HDF_FILE

#define HDF_FILE 1

## ◆ HDFXMAGIC

#define HDFXMAGIC 0x0e031301 /* ^N^C^S^A */

## ◆ IS_RECVAR

#define IS_RECVAR | ( |  | vp | ) | ((vp)->shape != NULL ? (*(vp)->shape == NC_UNLIMITED) : 0)

## ◆ MAGICOFFSET

#define MAGICOFFSET 0 /* Offset where format version number is written */

## ◆ MAX_BLOCK_SIZE

#define MAX_BLOCK_SIZE 65536 /* maximum size of block in linked blocks */

## ◆ NC_arrayfill

#define NC_arrayfill HNAME(NC_arrayfill)

## ◆ NC_BYTE_SIZE

#define NC_BYTE_SIZE 1

## ◆ NC_CHAR_SIZE

#define NC_CHAR_SIZE 1

## ◆ NC_check_id

#define NC_check_id HNAME(NC_check_id)

## ◆ NC_compare_string

#define NC_compare_string | ( |  | s1,
|  |  | s2 ) ((s1)->hash != (s2)->hash ? 1 : strcmp((s1)->values, (s2)->values))

## ◆ NC_computeshapes

#define NC_computeshapes HNAME(NC_computeshapes)

## ◆ NC_copy_arrayvals

#define NC_copy_arrayvals HNAME(NC_copy_arrayvals)

## ◆ NC_dcpy

#define NC_dcpy HNAME(NC_dcpy)

## ◆ NC_dimid

#define NC_dimid HNAME(NC_dimid)

## ◆ NC_DOUBLE_SIZE

#define NC_DOUBLE_SIZE 8

## ◆ NC_dup_cdf

#define NC_dup_cdf HNAME(NC_dup_cdf)

## ◆ NC_findattr

#define NC_findattr HNAME(NC_findattr)

## ◆ NC_FLOAT_SIZE

#define NC_FLOAT_SIZE 4

## ◆ NC_free_array

#define NC_free_array HNAME(NC_free_array)

## ◆ NC_free_attr

#define NC_free_attr HNAME(NC_free_attr)

## ◆ NC_free_cdf

#define NC_free_cdf HNAME(NC_free_cdf)

## ◆ NC_free_dim

#define NC_free_dim HNAME(NC_free_dim)

## ◆ NC_free_iarray

#define NC_free_iarray HNAME(NC_free_iarray)

## ◆ NC_free_string

#define NC_free_string HNAME(NC_free_string)

## ◆ NC_free_var

#define NC_free_var HNAME(NC_free_var)

## ◆ NC_hlookupvar

#define NC_hlookupvar HNAME(NC_hlookupvar)

## ◆ NC_incr_array

#define NC_incr_array HNAME(NC_incr_array)

## ◆ NC_indefine

#define NC_indefine HNAME(NC_indefine)

## ◆ NC_LONG_SIZE

#define NC_LONG_SIZE 4

## ◆ NC_new_array

#define NC_new_array HNAME(NC_new_array)

## ◆ NC_new_attr

#define NC_new_attr HNAME(NC_new_attr)

## ◆ NC_new_cdf

#define NC_new_cdf HNAME(NC_new_cdf)

## ◆ NC_new_dim

#define NC_new_dim HNAME(NC_new_dim)

## ◆ NC_new_iarray

#define NC_new_iarray HNAME(NC_new_iarray)

## ◆ NC_new_string

#define NC_new_string HNAME(NC_new_string)

## ◆ NC_new_var

#define NC_new_var HNAME(NC_new_var)

## ◆ NC_re_array

#define NC_re_array HNAME(NC_re_array)

## ◆ NC_re_string

#define NC_re_string HNAME(NC_re_string)

## ◆ nc_serror

#define nc_serror HNAME(nc_serror)

## ◆ NC_SHORT_SIZE

#define NC_SHORT_SIZE 2

## ◆ NC_typelen

#define NC_typelen HNAME(NC_typelen)

## ◆ NC_UNSPECIFIED_SIZE

#define NC_UNSPECIFIED_SIZE 0

## ◆ NC_var_shape

#define NC_var_shape HNAME(NC_var_shape) /* from var.c */

## ◆ NC_xlen_array

#define NC_xlen_array HNAME(NC_xlen_array)

## ◆ NC_xlen_attr

#define NC_xlen_attr HNAME(NC_xlen_attr)

## ◆ NC_xlen_cdf

#define NC_xlen_cdf HNAME(NC_xlen_cdf)

## ◆ NC_xlen_dim

#define NC_xlen_dim HNAME(NC_xlen_dim)

## ◆ NC_xlen_iarray

#define NC_xlen_iarray HNAME(NC_xlen_iarray)

## ◆ NC_xlen_string

#define NC_xlen_string HNAME(NC_xlen_string)

## ◆ NC_xlen_var

#define NC_xlen_var HNAME(NC_xlen_var)

## ◆ NC_xtypelen

#define NC_xtypelen HNAME(NC_xtypelen)

## ◆ NCadvise

#define NCadvise HNAME(NCadvise)

## ◆ NCcktype

#define NCcktype HNAME(NCcktype)

## ◆ NCcoordck

#define NCcoordck HNAME(NCcoordck)

## ◆ NCgenio

#define NCgenio HNAME(NCgenio) /* from putgetg.c */

## ◆ NCLINKMAGIC

#define NCLINKMAGIC 0x43444c01 /* C D L 1 */

## ◆ NCMAGIC

#define NCMAGIC 0x43444601 /* C D F 1 */

## ◆ NCMAGIC64

#define NCMAGIC64 0x43444602 /* C D F 2 */

## ◆ NCmemset

#define NCmemset HNAME(NCmemset)

## ◆ NCvario

#define NCvario HNAME(NCvario)

## ◆ NCxdrfile_create

#define NCxdrfile_create HNAME(NCxdrfile_create)

## ◆ NCxdrfile_sync

#define NCxdrfile_sync HNAME(NCxdrfile_sync)

## ◆ netCDF_FILE

#define netCDF_FILE 0

## ◆ nncabor

#define nncabor H4_F77_FUNC(ncabor, NCABOR)

## ◆ nncacpy

#define nncacpy H4_F77_FUNC(ncacpy, NCACPY)

## ◆ nncadel

#define nncadel H4_F77_FUNC(ncadel, NCADEL)

## ◆ nncagt

#define nncagt H4_F77_FUNC(ncagt, NCAGT)

## ◆ nncagtc

#define nncagtc H4_F77_FUNC(ncagtc, NCAGTC)

## ◆ nncainq

#define nncainq H4_F77_FUNC(ncainq, NCAINQ)

## ◆ nncanam

#define nncanam H4_F77_FUNC(ncanam, NCANAM)

## ◆ nncapt

#define nncapt H4_F77_FUNC(ncapt, NCAPT)

## ◆ nncaptc

#define nncaptc H4_F77_FUNC(ncaptc, NCAPTC)

## ◆ nncaren

#define nncaren H4_F77_FUNC(ncaren, NCAREN)

## ◆ nncclos

#define nncclos H4_F77_FUNC(ncclos, NCCLOS)

## ◆ nnccre

#define nnccre H4_F77_FUNC(nccre, NCCRE)

## ◆ nncddef

#define nncddef H4_F77_FUNC(ncddef, NCDDEF)

## ◆ nncdid

#define nncdid H4_F77_FUNC(ncdid, NCDID)

## ◆ nncdinq

#define nncdinq H4_F77_FUNC(ncdinq, NCDINQ)

## ◆ nncdren

#define nncdren H4_F77_FUNC(ncdren, NCDREN)

## ◆ nncendf

#define nncendf H4_F77_FUNC(ncendf, NCENDF)

## ◆ nncgopt

#define nncgopt H4_F77_FUNC(ncgopt, NCGOPT)

## ◆ nncinq

#define nncinq H4_F77_FUNC(ncinq, NCINQ)

## ◆ nncopn

#define nncopn H4_F77_FUNC(ncopn, NCOPN)

## ◆ nncpopt

#define nncpopt H4_F77_FUNC(ncpopt, NCPOPT)

## ◆ nncredf

#define nncredf H4_F77_FUNC(ncredf, NCREDF)

## ◆ nncsfil

#define nncsfil H4_F77_FUNC(ncsfil, NCSFIL)

## ◆ nncsnc

#define nncsnc H4_F77_FUNC(ncsnc, NCSNC)

## ◆ nnctlen

#define nnctlen H4_F77_FUNC(nctlen, NCTLEN)

## ◆ nncvdef

#define nncvdef H4_F77_FUNC(ncvdef, NCVDEF)

## ◆ nncvg1c

#define nncvg1c H4_F77_FUNC(ncvg1c, NCVG1C)

## ◆ nncvggc

#define nncvggc H4_F77_FUNC(ncvggc, NCVGGC)

## ◆ nncvgt

#define nncvgt H4_F77_FUNC(ncvgt, NCVGT)

## ◆ nncvgt1

#define nncvgt1 H4_F77_FUNC(ncvgt1, NCVGT1)

## ◆ nncvgtc

#define nncvgtc H4_F77_FUNC(ncvgtc, NCVGTC)

## ◆ nncvgtg

#define nncvgtg H4_F77_FUNC(ncvgtg, NCVGTG)

## ◆ nncvid

#define nncvid H4_F77_FUNC(ncvid, NCVID)

## ◆ nncvinq

#define nncvinq H4_F77_FUNC(ncvinq, NCVINQ)

## ◆ nncvp1c

#define nncvp1c H4_F77_FUNC(ncvp1c, NCVP1C)

## ◆ nncvpgc

#define nncvpgc H4_F77_FUNC(ncvpgc, NCVPGC)

## ◆ nncvpt

#define nncvpt H4_F77_FUNC(ncvpt, NCVPT)

## ◆ nncvpt1

#define nncvpt1 H4_F77_FUNC(ncvpt1, NCVPT1)

## ◆ nncvptc

#define nncvptc H4_F77_FUNC(ncvptc, NCVPTC)

## ◆ nncvptg

#define nncvptg H4_F77_FUNC(ncvptg, NCVPTG)

## ◆ nncvren

#define nncvren H4_F77_FUNC(ncvren, NCVREN)

## ◆ VAR_TAG

#define VAR_TAG DFTAG_VG

## ◆ Void

#define Void char

## ◆ xdr_cdf

#define xdr_cdf HNAME(xdr_cdf)

## ◆ xdr_NC_array

#define xdr_NC_array HNAME(xdr_NC_array)

## ◆ xdr_NC_attr

#define xdr_NC_attr HNAME(xdr_NC_attr)

## ◆ xdr_NC_dim

#define xdr_NC_dim HNAME(xdr_NC_dim)

## ◆ xdr_NC_fill

#define xdr_NC_fill HNAME(xdr_NC_fill)

## ◆ xdr_NC_iarray

#define xdr_NC_iarray HNAME(xdr_NC_iarray)

## ◆ xdr_NC_string

#define xdr_NC_string HNAME(xdr_NC_string)

## ◆ xdr_NC_var

#define xdr_NC_var HNAME(xdr_NC_var)

## ◆ xdr_NCvshort

#define xdr_NCvshort HNAME(xdr_NCvshort)

## ◆ xdr_numrecs

#define xdr_numrecs HNAME(xdr_numrecs)

## ◆ xdr_shorts

#define xdr_shorts HNAME(xdr_shorts)

## Function Documentation

## ◆ cdf_unmap_type()

HDFLIBAPI nc_type cdf_unmap_type | ( | int | type | ) |

## ◆ hdf_cdf_clobber()

HDFLIBAPI intn hdf_cdf_clobber | ( | NC * |  | ) |

## ◆ hdf_close()

HDFLIBAPI intn hdf_close | ( | NC * |  | ) |

## ◆ hdf_conv_scales()

HDFLIBAPI intn hdf_conv_scales | ( | NC ** |  | ) |

## ◆ hdf_create_compat_dim_vdata()

HDFLIBAPI intn hdf_create_compat_dim_vdata | ( | XDR * | xdrs,
|  | NC * | handle,
|  | NC_dim * | dim,
|  | int32 | dimval_ver )

## ◆ hdf_create_dim_vdata()

HDFLIBAPI intn hdf_create_dim_vdata | ( | XDR * | ,
|  | NC * | ,
|  | NC_dim * | )

## ◆ hdf_fill_array()

HDFLIBAPI intn hdf_fill_array | ( | char * | storage,
|  | int32 | len,
|  | char * | value,
|  | int32 | type )

## ◆ hdf_get_data()

HDFLIBAPI intn hdf_get_data | ( | NC * | handle,
|  | NC_var * | vp )

## ◆ hdf_get_ref()

HDFLIBAPI intn hdf_get_ref | ( | NC * | ,
|  | int | )

## ◆ hdf_get_vp_aid()

HDFLIBAPI int32 hdf_get_vp_aid | ( | NC * | handle,
|  | NC_var * | vp )

## ◆ hdf_map_type()

HDFLIBAPI int hdf_map_type | ( | nc_type |  | ) |

## ◆ hdf_read_attrs()

HDFLIBAPI NC_array * hdf_read_attrs | ( | XDR * | ,
|  | NC * | ,
|  | int32 | )

## ◆ hdf_read_dims()

HDFLIBAPI intn hdf_read_dims | ( | XDR * | ,
|  | NC * | ,
|  | int32 | )

## ◆ hdf_read_sds_cdf()

HDFLIBAPI intn hdf_read_sds_cdf | ( | XDR * | ,
|  | NC ** | )

## ◆ hdf_read_sds_dims()

HDFLIBAPI intn hdf_read_sds_dims | ( | NC * |  | ) |

## ◆ hdf_read_vars()

HDFLIBAPI intn hdf_read_vars | ( | XDR * | ,
|  | NC * | ,
|  | int32 | )

## ◆ hdf_read_xdr_cdf()

HDFLIBAPI intn hdf_read_xdr_cdf | ( | XDR * | ,
|  | NC ** | )

## ◆ hdf_unmap_type()

HDFLIBAPI nc_type hdf_unmap_type | ( | int |  | ) |

## ◆ hdf_vg_clobber()

HDFLIBAPI intn hdf_vg_clobber | ( | NC * | ,
|  | int | )

## ◆ hdf_write_attr()

HDFLIBAPI intn hdf_write_attr | ( | XDR * | ,
|  | NC * | ,
|  | NC_attr ** | )

## ◆ hdf_write_dim()

HDFLIBAPI int32 hdf_write_dim | ( | XDR * | ,
|  | NC * | ,
|  | NC_dim ** | ,
|  | int32 | )

## ◆ hdf_write_var()

HDFLIBAPI int32 hdf_write_var | ( | XDR * | ,
|  | NC * | ,
|  | NC_var ** | )

## ◆ hdf_write_xdr_cdf()

HDFLIBAPI intn hdf_write_xdr_cdf | ( | XDR * | ,
|  | NC ** | )

## ◆ hdf_xdr_cdf()

HDFLIBAPI intn hdf_xdr_cdf | ( | XDR * | ,
|  | NC ** | )

## ◆ HDiscdf()

HDFLIBAPI intn HDiscdf | ( | const char * | filename | ) |

## ◆ HDisnetcdf()

HDFLIBAPI intn HDisnetcdf | ( | const char * | filename | ) |

## ◆ HDisnetcdf64()

HDFLIBAPI intn HDisnetcdf64 | ( | const char * | filename | ) |

## ◆ HNAME() [1/2]

HDFLIBAPI intn HNAME | ( | NC_var_shape |  | ) |

## ◆ HNAME() [2/2]

HDFLIBAPI intn HNAME | ( | NCgenio |  | ) |

## ◆ NC_arrayfill()

HDFLIBAPI void HNAME NC_arrayfill | ( | void * | lo,
|  | size_t | len,
|  | nc_type | type )

## ◆ NC_check_id()

HDFLIBAPI NC *HNAME NC_check_id | ( | int | cdfid | ) |

## ◆ NC_computeshapes()

HDFLIBAPI int HNAME NC_computeshapes | ( | NC * | handle | ) |

## ◆ NC_copy_arrayvals()

HDFLIBAPI void HNAME NC_copy_arrayvals | ( | char * | target,
|  | NC_array * | array )

## ◆ NC_dcpy()

HDFLIBAPI bool_t HNAME NC_dcpy | ( | XDR * | target,
|  | XDR * | source,
|  | long | nbytes )

## ◆ NC_dimid()

HDFLIBAPI int HNAME NC_dimid | ( | NC * | handle,
|  | char * | name )

## ◆ NC_dup_cdf()

HDFLIBAPI NC *HNAME NC_dup_cdf | ( | const char * | name,
|  | int | mode,
|  | NC * | old )

## ◆ NC_findattr()

HDFLIBAPI NC_attr **HNAME NC_findattr | ( | NC_array ** | ap,
|  | const char * | name )

## ◆ NC_free_array()

HDFLIBAPI int HNAME NC_free_array | ( | NC_array * | array | ) |

## ◆ NC_free_attr()

HDFLIBAPI int HNAME NC_free_attr | ( | NC_attr * | attr | ) |

## ◆ NC_free_cdf()

HDFLIBAPI int HNAME NC_free_cdf | ( | NC * | handle | ) |

## ◆ NC_free_dim()

HDFLIBAPI int HNAME NC_free_dim | ( | NC_dim * | dim | ) |

## ◆ NC_free_iarray()

HDFLIBAPI int HNAME NC_free_iarray | ( | NC_iarray * | iarray | ) |

## ◆ NC_free_string()

HDFLIBAPI int HNAME NC_free_string | ( | NC_string * | cdfstr | ) |

## ◆ NC_free_var()

HDFLIBAPI int HNAME NC_free_var | ( | NC_var * | var | ) |

## ◆ NC_get_maxopenfiles()

HDFLIBAPI intn NC_get_maxopenfiles | ( | void |  | ) |

## ◆ NC_get_numopencdfs()

HDFLIBAPI int NC_get_numopencdfs | ( | void |  | ) |

## ◆ NC_get_systemlimit()

HDFLIBAPI intn NC_get_systemlimit | ( | void |  | ) |

## ◆ NC_hlookupvar()

HDFLIBAPI NC_var *HNAME NC_hlookupvar | ( | NC * | handle,
|  | int | varid )

## ◆ NC_incr_array()

HDFLIBAPI char *HNAME NC_incr_array | ( | NC_array * | array,
|  | char * | tail )

## ◆ NC_indefine()

HDFLIBAPI bool_t HNAME NC_indefine | ( | int | cdfid,
|  | bool_t | iserr )

## ◆ NC_new_array()

HDFLIBAPI NC_array *HNAME NC_new_array | ( | nc_type | type,
|  | unsigned | count,
|  | const void * | values )

## ◆ NC_new_attr()

HDFLIBAPI NC_attr *HNAME NC_new_attr | ( | const char * | name,
|  | nc_type | type,
|  | unsigned | count,
|  | const void * | values )

## ◆ NC_new_cdf()

HDFLIBAPI NC *HNAME NC_new_cdf | ( | const char * | name,
|  | int | mode )

## ◆ NC_new_dim()

HDFLIBAPI NC_dim *HNAME NC_new_dim | ( | const char * | name,
|  | long | size )

## ◆ NC_new_iarray()

HDFLIBAPI NC_iarray *HNAME NC_new_iarray | ( | unsigned | count,
|  | const int | values[] )

## ◆ NC_new_string()

HDFLIBAPI NC_string *HNAME NC_new_string | ( | unsigned | count,
|  | const char * | str )

## ◆ NC_new_var()

HDFLIBAPI NC_var *HNAME NC_new_var | ( | const char * | name,
|  | nc_type | type,
|  | int | ndims,
|  | const int * | dims )

## ◆ NC_re_array()

HDFLIBAPI NC_array *HNAME NC_re_array | ( | NC_array * | old,
|  | nc_type | type,
|  | unsigned | count,
|  | const void * | values )

## ◆ NC_re_string()

HDFLIBAPI NC_string *HNAME NC_re_string | ( | NC_string * | old,
|  | unsigned | count,
|  | const char * | str )

## ◆ NC_reset_maxopenfiles()

HDFLIBAPI intn NC_reset_maxopenfiles | ( | intn | req_max | ) |

## ◆ nc_serror()

HDFLIBAPI void HNAME nc_serror | ( | const char * | fmt,
|  |  | ... )

## ◆ NC_typelen()

HDFLIBAPI size_t HNAME NC_typelen | ( | nc_type | type | ) |

## ◆ NC_xlen_array()

HDFLIBAPI int HNAME NC_xlen_array | ( | NC_array * | array | ) |

## ◆ NC_xlen_attr()

HDFLIBAPI int HNAME NC_xlen_attr | ( | NC_attr ** | app | ) |

## ◆ NC_xlen_cdf()

HDFLIBAPI int HNAME NC_xlen_cdf | ( | NC * | cdf | ) |

## ◆ NC_xlen_dim()

HDFLIBAPI int HNAME NC_xlen_dim | ( | NC_dim ** | dpp | ) |

## ◆ NC_xlen_iarray()

HDFLIBAPI int HNAME NC_xlen_iarray | ( | NC_iarray * | iarray | ) |

## ◆ NC_xlen_string()

HDFLIBAPI int HNAME NC_xlen_string | ( | NC_string * | cdfstr | ) |

## ◆ NC_xlen_var()

HDFLIBAPI int HNAME NC_xlen_var | ( | NC_var ** | vpp | ) |

## ◆ NC_xtypelen()

HDFLIBAPI int HNAME NC_xtypelen | ( | nc_type | type | ) |

## ◆ NCadvise()

HDFLIBAPI void HNAME NCadvise | ( | int | err,
|  | const char * | fmt,
|  |  | ... )

## ◆ NCcktype()

HDFLIBAPI bool_t HNAME NCcktype | ( | nc_type | datatype | ) |

## ◆ NCcoordck()

HDFLIBAPI bool_t HNAME NCcoordck | ( | NC * | handle,
|  | NC_var * | vp,
|  | const long * | coords )

## ◆ NCmemset()

HDFLIBAPI char *HNAME NCmemset | ( | char * | s,
|  | int | c,
|  | int | n )

## ◆ NCvario()

HDFLIBAPI int HNAME NCvario | ( | NC * | handle,
|  | int | varid,
|  | const long * | start,
|  | const long * | edges,
|  | void * | values )

## ◆ NCxdrfile_create()

HDFLIBAPI int HNAME NCxdrfile_create | ( | XDR * | xdrs,
|  | const char * | path,
|  | int | ncmode )

## ◆ NCxdrfile_sync()

HDFLIBAPI int HNAME NCxdrfile_sync | ( | XDR * | xdrs | ) |

## ◆ nssdc_read_cdf()

HDFLIBAPI bool_t nssdc_read_cdf | ( | XDR * | xdrs,
|  | NC ** | handlep )

## ◆ nssdc_write_cdf()

HDFLIBAPI bool_t nssdc_write_cdf | ( | XDR * | xdrs,
|  | NC ** | handlep )

## ◆ nssdc_xdr_cdf()

HDFLIBAPI bool_t nssdc_xdr_cdf | ( | XDR * | xdrs,
|  | NC ** | handlep )

## ◆ SDPfreebuf()

HDFLIBAPI intn SDPfreebuf | ( | void |  | ) |

## ◆ xdr_cdf()

HDFLIBAPI bool_t HNAME xdr_cdf | ( | XDR * | xdrs,
|  | NC ** | handlep )

## ◆ xdr_NC_array()

HDFLIBAPI bool_t HNAME xdr_NC_array | ( | XDR * | xdrs,
|  | NC_array ** | app )

## ◆ xdr_NC_attr()

HDFLIBAPI bool_t HNAME xdr_NC_attr | ( | XDR * | xdrs,
|  | NC_attr ** | app )

## ◆ xdr_NC_dim()

HDFLIBAPI bool_t HNAME xdr_NC_dim | ( | XDR * | xdrs,
|  | NC_dim ** | dpp )

## ◆ xdr_NC_fill()

HDFLIBAPI bool_t HNAME xdr_NC_fill | ( | XDR * | xdrs,
|  | NC_var * | vp )

## ◆ xdr_NC_iarray()

HDFLIBAPI bool_t HNAME xdr_NC_iarray | ( | XDR * | xdrs,
|  | NC_iarray ** | ipp )

## ◆ xdr_NC_string()

HDFLIBAPI bool_t HNAME xdr_NC_string | ( | XDR * | xdrs,
|  | NC_string ** | spp )

## ◆ xdr_NC_var()

HDFLIBAPI bool_t HNAME xdr_NC_var | ( | XDR * | xdrs,
|  | NC_var ** | vpp )

## ◆ xdr_NCvshort()

HDFLIBAPI bool_t HNAME xdr_NCvshort | ( | XDR * | xdrs,
|  | unsigned | which,
|  | short * | values )

## ◆ xdr_numrecs()

HDFLIBAPI bool_t HNAME xdr_numrecs | ( | XDR * | xdrs,
|  | NC * | handle )

## ◆ xdr_shorts()

HDFLIBAPI bool_t HNAME xdr_shorts | ( | XDR * | xdrs,
|  | short * | sp,
|  | unsigned | cnt )

## Variable Documentation

## ◆ cdf_routine_name

HDFLIBAPI const char* cdf_routine_name

## ◆ count

HDFLIBAPI intn int const long const long* count

## ◆ dims

HDFLIBAPI intn NC_array* dims

## ◆ imap

HDFLIBAPI intn int const long const long const long const long* imap

## ◆ start

HDFLIBAPI intn int const long* start

## ◆ stride

HDFLIBAPI intn int const long const long const long* stride

## ◆ values

HDFLIBAPI intn int const long const long const long const long void* values

## ◆ varid

HDFLIBAPI intn int varid